This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 427391

Summary: Review Request: cl-asdf - Another System Definition Facility
Product: [Fedora] Fedora Reporter: Anthony Green <green>
Component: Package ReviewAssignee: Michel Alexandre Salim <michel>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, rdieter
Target Milestone: ---Flags: michel: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-13 10:53:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 427411    

Description Anthony Green 2008-01-03 12:26:09 EST
Spec URL: http://spindazzle.org/Fedora/cl-asdf.spec
SRPM URL: cl-asdf-20071110-3.fc8.src.rpm
Description: 
Another System Definition Facility (asdf) is a package format for
Common Lisp libraries.

This package is a prerequisite for this feature proposal:
http://fedoraproject.org/wiki/Features/CommonLispController
Comment 1 Michel Alexandre Salim 2008-05-28 22:00:24 EDT
SRPM link broken, by the way; had to cut-and-paste to combine with spec URL.
Does the source not have any upstream URL we can link to?
Comment 2 Michel Alexandre Salim 2008-05-28 22:07:00 EDT
Ignore previous question; upstream policy is still to release using CVS. Perhaps
put a comment above the Source line? (though I guess one can infer the lack of
tarballs from the versioning scheme).

One more question -- presumably installing this does not conflict with SBCL's
own bundled copy of ASDF?
Comment 3 Michel Alexandre Salim 2008-05-28 22:19:16 EDT
+1 Approved.

MUST

• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: noarch: OK
• build dependencies complete: trivially OK (none)
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK
• package functioned as described: suggestion on how to test?
• scriplets are sane: OK
Comment 4 Anthony Green 2008-07-06 09:44:15 EDT
New Package CVS Request
=======================
Package Name: cl-asdf
Short Description: Another System Definition Facility
Owners: green
Branches: devel
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-07-06 22:07:20 EDT
cvs done.
Comment 6 Anthony Green 2010-11-12 16:55:23 EST
Package Change Request
======================
Package Name: cl-asdf
New Branches: el6
Owners: green
InitialCC: rdieter

I'd like to bring this package into el6 for common-lisp-controller.
Comment 7 Jason Tibbitts 2010-11-13 11:47:53 EST
Git done (by process-git-requests).
Comment 8 Rex Dieter 2015-02-13 13:19:21 EST
Package Change Request
======================
Package Name: common-lisp-controller
New Branches: epel7
Owners: green
InitialCC: rdieter
Comment 9 Rex Dieter 2015-02-13 13:19:40 EST
Package Change Request
======================
Package Name: cl-asdf
New Branches: epel7
Owners: green
InitialCC: rdieter
Comment 10 Jon Ciesla 2015-02-13 13:21:29 EST
Git done (by process-git-requests).